#!/usr/bin/env bash

#echo "Condor Job: Condor."$$
BASE=$PWD/condor_history
CDIR=$PWD/condor
CONFILE=${CDIR}/$$.Condor
SCRIPT_FILE=${CDIR}/$$.sh
echo "#!/usr/bin/env bash" > ${SCRIPT_FILE}
echo "cd /people/qing0/" >> ${SCRIPT_FILE}
echo "cd /SMT/Workplace/Qin" >> ${SCRIPT_FILE}
echo "cd " `pwd` >> ${SCRIPT_FILE}
echo $* >> ${SCRIPT_FILE}
echo "env LC_ALL=en_US.UTF-8 date  +%Y-%m-%d/%H:%M:%S >"  ${SCRIPT_FILE}.finish >> ${SCRIPT_FILE}
echo "hostname >>"  ${SCRIPT_FILE}.finish >> ${SCRIPT_FILE}
echo `env LC_ALL=en_US.UTF-8 date  +%Y-%m-%d/%H:%M:%S` "###"  $* "###" $$.Condor "###" $$.sh "###" $$.finish >> $BASE

chmod a+x ${SCRIPT_FILE}


Exe=${SCRIPT_FILE}

#Args=$*

DIR=`pwd`



echo "########################################"  > ${CONFILE}
echo "# Job: Condor."$$       >> ${CONFILE}
echo "# Submitted on:" `date` >> ${CONFILE}
echo "# In directory:" `pwd`  >> ${CONFILE}
echo "########################################" >> ${CONFILE}
echo ""                       >> ${CONFILE}
echo "Executable = " $Exe     >> ${CONFILE}
#echo "Arguments  = " $Args    >> ${CONFILE}
echo "Initialdir = " $Dir     >> ${CONFILE}
echo "Output     = " ${CDIR}/$$.Out  >>  ${CONFILE}
echo "Error      = " ${CDIR}/$$.err   >> ${CONFILE}
echo "Log        = " ${CDIR}/$$.log   >> ${CONFILE}
echo "Universe   = vanilla"   >> ${CONFILE}
echo "Getenv     = True"      >> ${CONFILE}
echo 'Requirements =  (Memory > 3900) && (Arch == "X86_64" )'>> ${CONFILE}
echo ""                       >> ${CONFILE}
echo "Queue"                  >> ${CONFILE}

cat ${CONFILE}

ssh islr1s0.is.cs.cmu.edu condor_submit ${CONFILE}

